# -*- encoding: utf-8 -*-
# stub: sensu-plugins-gitlab 0.0.1 ruby lib

Gem::Specification.new do |s|
  s.name = "sensu-plugins-gitlab".freeze
  s.version = "0.0.1"

  s.required_rubygems_version = Gem::Requirement.new(">= 0".freeze) if s.respond_to? :required_rubygems_version=
  s.metadata = { "development_status" => "active", "maintainer" => "sensu-plugin", "production_status" => "unstable - testing recommended", "release_draft" => "false", "release_prerelease" => "false" } if s.respond_to? :metadata=
  s.require_paths = ["lib".freeze]
  s.authors = ["Sensu-Plugins and contributors".freeze]
  s.date = "2018-04-02"
  s.description = "Sensu gitlab plugins".freeze
  s.email = "<sensu-users@googlegroups.com>".freeze
  s.executables = ["check-health-gitlab.rb".freeze, "metrics-gitlab.rb".freeze]
  s.files = ["bin/check-health-gitlab.rb".freeze, "bin/metrics-gitlab.rb".freeze]
  s.homepage = "https://github.com/sensu-plugins/sensu-plugins-gitlab".freeze
  s.licenses = ["MIT".freeze]
  s.post_install_message = "You can use the embedded Ruby by setting EMBEDDED_RUBY=true in /etc/default/sensu".freeze
  s.required_ruby_version = Gem::Requirement.new(">= 2.1.0".freeze)
  s.rubygems_version = "3.2.22".freeze
  s.summary = "Sensu plugins for gitlab".freeze

  s.installed_by_version = "3.2.22" if s.respond_to? :installed_by_version

  if s.respond_to? :specification_version then
    s.specification_version = 4
  end

  if s.respond_to? :add_runtime_dependency then
    s.add_runtime_dependency(%q<gitlab>.freeze, ["~> 4.3"])
    s.add_runtime_dependency(%q<rest-client>.freeze, ["~> 2.0"])
    s.add_runtime_dependency(%q<sensu-plugin>.freeze, ["~> 2.0"])
    s.add_development_dependency(%q<bundler>.freeze, ["~> 1.15"])
    s.add_development_dependency(%q<github-markup>.freeze, ["~> 1.3"])
    s.add_development_dependency(%q<kitchen-docker>.freeze, ["~> 2.6"])
    s.add_development_dependency(%q<kitchen-localhost>.freeze, ["~> 0.3"])
    s.add_development_dependency(%q<mixlib-shellout>.freeze, ["< 2.3.0", "~> 2.2"])
    s.add_development_dependency(%q<pry>.freeze, ["~> 0.10"])
    s.add_development_dependency(%q<rake>.freeze, ["~> 12.0"])
    s.add_development_dependency(%q<redcarpet>.freeze, ["~> 3.2"])
    s.add_development_dependency(%q<rspec>.freeze, ["~> 3.4"])
    s.add_development_dependency(%q<rubocop>.freeze, ["~> 0.51.0"])
    s.add_development_dependency(%q<serverspec>.freeze, ["~> 2.36.1"])
    s.add_development_dependency(%q<test-kitchen>.freeze, ["~> 1.6"])
    s.add_development_dependency(%q<yard>.freeze, ["~> 0.9.11"])
  else
    s.add_dependency(%q<gitlab>.freeze, ["~> 4.3"])
    s.add_dependency(%q<rest-client>.freeze, ["~> 2.0"])
    s.add_dependency(%q<sensu-plugin>.freeze, ["~> 2.0"])
    s.add_dependency(%q<bundler>.freeze, ["~> 1.15"])
    s.add_dependency(%q<github-markup>.freeze, ["~> 1.3"])
    s.add_dependency(%q<kitchen-docker>.freeze, ["~> 2.6"])
    s.add_dependency(%q<kitchen-localhost>.freeze, ["~> 0.3"])
    s.add_dependency(%q<mixlib-shellout>.freeze, ["< 2.3.0", "~> 2.2"])
    s.add_dependency(%q<pry>.freeze, ["~> 0.10"])
    s.add_dependency(%q<rake>.freeze, ["~> 12.0"])
    s.add_dependency(%q<redcarpet>.freeze, ["~> 3.2"])
    s.add_dependency(%q<rspec>.freeze, ["~> 3.4"])
    s.add_dependency(%q<rubocop>.freeze, ["~> 0.51.0"])
    s.add_dependency(%q<serverspec>.freeze, ["~> 2.36.1"])
    s.add_dependency(%q<test-kitchen>.freeze, ["~> 1.6"])
    s.add_dependency(%q<yard>.freeze, ["~> 0.9.11"])
  end
end
